For the complete documentation index, see llms.txt. This page is also available as Markdown.

Organization

Get an organization

get
/v1/{organization}/organization/

Get the details of an organization.

Permissions

This endpoint may be impacted by the following permissions:

  • The default_user_preferences field is only populated if the endpoint is called with user authentication credentials, and the authenticated user has the Organization:GetOrganizationDetails permission.

Path parameters
organizationstringRequired
Header parameters
x-mongo-cluster-namestring · nullableOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

Sec-WebSocket-Protocolstring[]OptionalDefault: []
Responses
200

Succeeded.

application/json
org_idstringRequired

Unique identifier of the organization.

org_namestringRequired

A human friendly name of the organization.

tenant_idstring · nullableRequired

The tenant ID of the organization. This field is only populated if the authenticated user has the Organization:GetOrganizationDetails permission.

get/v1/{organization}/organization/

Modify an organization

post
/v1/{organization}/organization/

Modify elements of an organization.

Permissions

This endpoint requries the following permissions:

  • Organization:ModifyOrganization to modify the organization.

Authorizations
AuthorizationstringRequired

The username should be set to {org_id}_{user_id}, and the password should be the Amigo issued JWT token that identifies the user.

AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
organizationstringRequired
Header parameters
x-mongo-cluster-namestring · nullableOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

Sec-WebSocket-Protocolstring[]OptionalDefault: []
Body
logostring · base64 · nullableOptional

A logo for the organization that will be displayed on the Amigo frontend for this organization, as well as all Amigo communications to users on behalf of the organization. Must be provided as base64 encoded bytes of a PNG image of aspect ratio 5:2 with minimum size 400 * 160 pixels. Only updated if not null.

square_logostring · base64 · nullableOptional

A square logo of the organization. Must be provided as base64 encoded bytes of a square PNG image of size at least 40 * 40 pixels. Only updated if not null.

faviconstring · base64 · nullableOptional

Favicon for the Amigo frontend for this organization. Must be provided as base64 encoded bytes of a square ICO image that's of size at least 40 * 40 pixels. Only updated if not null.

Responses
204

Succeeded.

No content

post/v1/{organization}/organization/

No content

Create an organization

put
/v1/{organization}/organization/

Set up a new organization in the Amigo system. Specifically, it

  • creates a new organization within the Amigo Mongo database with the given details.

    • Along with the new organization, 4 default roles are created:

      • DefaultUserRole.

      • DefaultAdministratorRole.

      • DefaultAmigoAdministratorRole.

      • DefaultSuperAdministratorRole.

    • A super user, admin@amigo.ai, is created and granted the DefaultSuperAdministratorRole.

  • creates a new tenant in Google Identity Platform for users in this organization.

  • creates a new Route53 record, {org_id}.amigo.ai, that hosts the Amigo frontend for this organization.

  • creates a new domain, {org_id}.amigo.ai, on Vercel.

The x-mongo-cluster-name header is mandatory for this endpoint.

Permissions

This endpoint requires the following permissions:

  • Organization:CreateOrganization. for the organization to create.

Authorizations
AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
organizationstringRequired
Header parameters
x-mongo-cluster-namestringRequired

The Mongo cluster name to perform this request in.

Sec-WebSocket-Protocolstring[]OptionalDefault: []
Body
org_namestring · min: 1Required

A human friendly name of the organization.

logostring · base64Required

A logo for the organization that will be displayed on the Amigo frontend for this organization, as well as all Amigo communications to users on behalf of the organization. Must be provided as base64 encoded bytes of a PNG image of aspect ratio 5:2 with minimum size 400 * 160 pixels.

square_logostring · base64Required

A square logo of the organization. Must be provided as base64 encoded bytes of a square PNG image of size at least 40 * 40 pixels.

faviconstring · base64Required

Favicon for the Amigo frontend for this organization. Must be provided as base64 encoded bytes of a square ICO image that's of size at least 40 * 40 pixels.

azure_devops_team_namestring · min: 1 · max: 20Required

The name of the Azure DevOps team to create (if it doesn't exist) for this organization. All orgs with the same Azure DevOps team name will share access to the same Azure DevOps resources, namely the source code for tools.

Pattern: ^[a-z-]+$
Responses
201

Succeeded.

application/json
org_idstringRequired

ID of the newly created organization. This is used to identify the organization that a resource belongs to in all Amigo endpoints.

put/v1/{organization}/organization/

Delete an organization

delete
/v1/{organization}/organization/

Delete an organization. All of the organization's data are erased. Some analytical data will be asynchronously removed at a future date.

Unlike other endpoints, this endpoint is not transactional. If any operation fails during the execution, the endpoint does not revert the performed actions. The caller should re-call this endpoint until it succeeds.

Regardless of whether this endpoint succeeds or not, the first time this endpoint is called, the organization is considered deleted. Even if the endpoint fails and the organization isn't completely wiped, it's considered in an invalid state and any other operations on it may fail.

Permissions

This endpoint requires the following permissions:

  • Organization:DeleteOrganization for the organization to delete.

Authorizations
AuthorizationstringRequired

The username should be set to {org_id}_{user_id}, and the password should be the Amigo issued JWT token that identifies the user.

AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
organizationstringRequired
Header parameters
x-mongo-cluster-namestring · nullableOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

Sec-WebSocket-Protocolstring[]OptionalDefault: []
Responses
204

Succeeded.

No content

delete/v1/{organization}/organization/

No content

Get agents for an organization

get
/v1/{organization}/organization/agent

Return a list of agents for the organization.

Permissions

This endpoint may be impacted by the following permissions:

  • Only agents that the authenticated user has the Organization:GetAgent permission on will be returned.

Authorizations
AuthorizationstringRequired

The username should be set to {org_id}_{user_id}, and the password should be the Amigo issued JWT token that identifies the user.

AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
organizationstringRequired
Query parameters
deprecatedboolean · nullableOptional

Whether the agent is deprecated.

idstring[]Optional

The IDs of the agents to filter for.

Default: []
limitinteger · max: 20Optional

The maximum number of agents to return.

Default: 10
continuation_tokenintegerOptional

The continuation token from the previous request used to retrieve the next page of agents.

Default: 0
Header parameters
x-mongo-cluster-namestring · nullableOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

Sec-WebSocket-Protocolstring[]OptionalDefault: []
Responses
200

Succeeded.

application/json
has_morebooleanRequired

Whether there are more agents to retrieve.

continuation_tokeninteger · nullableRequired

A token to supply to the next request to retrieve the next page of agents. Only populated if has_more is True.

get/v1/{organization}/organization/agent

Create an agent

post
/v1/{organization}/organization/agent

Create a new agent for the given organization. No default version for the agent will be created, so one must later to create a version for this agent so it can be used in a service.

Permissions

This endpoint requires the following permissions:

  • Organization:CreateAgent for the new agent.

Authorizations
AuthorizationstringRequired

The username should be set to {org_id}_{user_id}, and the password should be the Amigo issued JWT token that identifies the user.

AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
organizationstringRequired
Header parameters
x-mongo-cluster-namestring · nullableOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

Sec-WebSocket-Protocolstring[]OptionalDefault: []
Body
agent_namestring · min: 1 · max: 256Required

The name of the new agent.

Responses
201

Succeeded.

application/json
idstringRequired

The ID of the newly created agent.

post/v1/{organization}/organization/agent

Create an agent version

post
/v1/{organization}/organization/agent/{agent_id}/

Create a new version of the given agent. If there's no existing versions, all fields in the request must be filled and they will be used to create the initial version of the agent. Otherwise, only fill the fields that need to be updated, and the new version will retain other fields from the previous latest version.

Permissions

This endpoint requires the following permissions:

  • Organization:CreateAgentVersion for the new version of the agent.

Authorizations
AuthorizationstringRequired

The username should be set to {org_id}_{user_id}, and the password should be the Amigo issued JWT token that identifies the user.

AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
agent_idstringRequired

The ID of the agent to create a new version for.

Pattern: ^[a-f0-9]{24}$
organizationstringRequired
Query parameters
versioninteger · nullableOptional

The version number of the new agent version. If specified, this endpoint throws an error if the next version of the agent in the database doesn't equal to the value of this parameter.

Header parameters
x-mongo-cluster-namestring · nullableOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

Sec-WebSocket-Protocolstring[]OptionalDefault: []
Body
initialsstring · min: 1 · max: 3 · nullableOptional

The agent's initials.

backgroundstring · min: 1 · nullableOptional

A description of the agent's background.

behaviorsstring[] · nullableOptional

A list of behavioral guidelines that this agent follows.

communication_patternsstring[] · nullableOptional

A list of descriptions that illustrate the communication styles of this agent.

Responses
201

Succeeded.

application/json
versionintegerRequired

Numerical version ID that describes how many iterations of this agent occurred before this version. Note that this is for reference only. Any identification of an agent version in Amigo APIs use the id field.

For initial version of an agent, this field will be 1.

created_atstring · date-timeRequired

The time at which this version was created.

post/v1/{organization}/organization/agent/{agent_id}/

Delete an agent

delete
/v1/{organization}/organization/agent/{agent_id}/

Delete the specified agent from the organization. In practice, this endpoint marks the agent as deprecated, but will not delete this agent nor any of its versions. It does prevent new services (or inactive services to be activated) from using this agent.

An error will be raised if this endpoint is called when an active service still utilizes this agent. However, any ongoing conversation using this agent will continue to work.

Permissions:

  • Organization:DeleteAgent for the agent to delete.

Authorizations
AuthorizationstringRequired

The username should be set to {org_id}_{user_id}, and the password should be the Amigo issued JWT token that identifies the user.

AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
agent_idstringRequired

The ID of the agent to delete

Pattern: ^[a-f0-9]{24}$
organizationstringRequired
Header parameters
x-mongo-cluster-namestring · nullableOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

Sec-WebSocket-Protocolstring[]OptionalDefault: []
Responses
200

Succeeded.

application/json
anyOptional
delete/v1/{organization}/organization/agent/{agent_id}/

No content

Get service hierarchical state machines for an organization

get
/v1/{organization}/organization/service_hierarchical_state_machine

Return a list of service hierarchical state machines for the organization.

Permissions

This endpoint may be impacted by the following permissions:

  • Only state machines that the authenticated user has the Organization:GetServiceHierarchicalStateMachine permission on will be returned.

Authorizations
AuthorizationstringRequired

The username should be set to {org_id}_{user_id}, and the password should be the Amigo issued JWT token that identifies the user.

AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
organizationstringRequired
Query parameters
deprecatedboolean · nullableOptional

Whether the state machine is deprecated.

idstring[]Optional

The IDs of the state machines to filter for.

Default: []
limitinteger · max: 50Optional

The maximum number of service hierarchical state machines to return.

Default: 50
continuation_tokenintegerOptional

The continuation token from the previous request used to retrieve the next page of state machines.

Default: 0
Header parameters
x-mongo-cluster-namestring · nullableOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

Sec-WebSocket-Protocolstring[]OptionalDefault: []
Responses
200

Succeeded.

application/json
has_morebooleanRequired

Whether there are more state machines to fetch.

continuation_tokeninteger · nullableRequired

A token to supply to the next request to retrieve the next page of state machines. Only populated if has_more is True.

get/v1/{organization}/organization/service_hierarchical_state_machine

Create a service hierarchical state machine

post
/v1/{organization}/organization/service_hierarchical_state_machine

Create a new state machine for the given organization. No default version for the state machine will be created, so one must later create a version for this state machine so it can be used in a service.

Permissions

This endpoint requires the following permissions:

  • Organization:CreateServiceHierarchicalStateMachine for the new service hierarchical state machine.

Authorizations
AuthorizationstringRequired

The username should be set to {org_id}_{user_id}, and the password should be the Amigo issued JWT token that identifies the user.

AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
organizationstringRequired
Header parameters
x-mongo-cluster-namestring · nullableOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

Sec-WebSocket-Protocolstring[]OptionalDefault: []
Body
state_machine_namestring · min: 1 · max: 256Required

The name of the new state machine.

Responses
201

Succeeded.

application/json
idstringRequired

The ID of the newly created state machine.

post/v1/{organization}/organization/service_hierarchical_state_machine

Create a service hierarchical state machine version

post
/v1/{organization}/organization/service_hierarchical_state_machine/{service_hierarchical_state_machine_id}/

Create a new version for the given service hierarchical state machine. The new version will be created with the supplied data. It needs to satisfy the following constraints:

  • Each action state must have at least one action.

  • For action and decision states, each exit condition's next_state must either be a string that exists in the states and cannot be the same as the current state, or a 2-tuple of strings, with the first string of the form {external_service_hierarchical_state_machine_reference.external_state_name}, and the second string the jumpback state which must be a state in the states.

  • For recall, reflection, and tool_call states, next_state must either be a string that exists in the states and cannot be the same as the current state, or a 2-tuple of strings, with the first string of the form {external_service_hierarchical_state_machine_reference.external_state_name}, and the second string the jumpback state which must be a state in the states.

  • The terminal state cannot have exit conditions and must have exactly one action.

See the per-request-field documentation for more field-specific constraints.

Due to the complexity of the state machine data structure, this endpoint provides a dry_run parameter. If set to True, the endpoint will check the supplied state machine would pass validations, but does not actually create a new version. In this case, the endpoint returns an empty response with a 201 status code.

Permissions:

This endpoint requires the following permissions:

  • Organization:CreateServiceHierarchicalStateMachineVersion for the service hierarchical state machine.

Authorizations
AuthorizationstringRequired

The username should be set to {org_id}_{user_id}, and the password should be the Amigo issued JWT token that identifies the user.

AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
service_hierarchical_state_machine_idstringRequired

The ID of the service hierarchical state machine to create a new version for.

Pattern: ^[a-f0-9]{24}$
organizationstringRequired
Query parameters
versioninteger · nullableOptional

The version number of the new state machine version. If specified, this endpoint throws an error if the next version of the state machine in the database doesn't equal to the value of this parameter.

dry_runbooleanOptional

Whether to perform a dry run of the operation.

Default: false
Header parameters
x-mongo-cluster-namestring · nullableOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

Sec-WebSocket-Protocolstring[]OptionalDefault: []
Body
descriptionstring · min: 1Required

A description of the service hierarchical state machine.

new_user_initial_statestringRequired

The state a new user will be in when a session starts. This must be an action state, and must be an internal state.

Pattern: ^[A-Za-z0-9_]+$
returning_user_initial_statestringRequired

The state a returning user will be in when a session starts. This must be an action state, and must be an internal state.

Pattern: ^[A-Za-z0-9_]+$
terminal_statestringRequired

The state the user will be in when the session ends. This must be an action state, and must be an internal state.

Pattern: ^[A-Za-z0-9_]+$
global_intra_state_navigation_guidelinesstring[]Required

A list of guidelines for how the agent will navigate between subgoals and exit conditions within this state. This is injected into the intra_state_navigation_guidelines field of every action state.

global_action_guidelinesstring[]Required

A list of guidelines for how the agent will behave when engaging with user. This is injected into the action_guidelines field of every action state.

global_boundary_constraintsstring[]Required

A list of guidelines for how the agent will not behave when engaging with user. This is injected into the boundary_constraints field of every action state.

Responses
201

Succeeded.

application/json
versionintegerRequired

Numerical version ID that describes how many iterations of this service hierarchical state machine occurred before this version. Note that this is for reference only. Any identification of a service hierarchical state machine version in Amigo APIs use the id field.

For the initial version of a service hierarchical state machine, this field will be 1.

created_atstring · date-timeRequired

The time at which this version was created.

post/v1/{organization}/organization/service_hierarchical_state_machine/{service_hierarchical_state_machine_id}/

Delete a service hierarchical state machine

delete
/v1/{organization}/organization/service_hierarchical_state_machine/{state_machine_id}/

Delete the specified state machine from the organization. In practice, this endpoint marks the state machine as deprecated, but will not delete this state machine nor any of its versions. It does prevent new services (or inactive services to be activated) from using this state machine.

An error will be raised if this endpoint is called when an active service still utilizes this state machine. However, any ongoing conversation using this state machine, as well as any state machine version that depends on this state machine will continue to work.

Permissions:

  • Organization:DeleteServiceHierarchicalStateMachine for the state machine to delete.

Authorizations
AuthorizationstringRequired

The username should be set to {org_id}_{user_id}, and the password should be the Amigo issued JWT token that identifies the user.

AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
state_machine_idstringRequired

The ID of the state machine to delete

Pattern: ^[a-f0-9]{24}$
organizationstringRequired
Header parameters
x-mongo-cluster-namestring · nullableOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

Sec-WebSocket-Protocolstring[]OptionalDefault: []
Responses
200

Succeeded.

application/json
anyOptional
delete/v1/{organization}/organization/service_hierarchical_state_machine/{state_machine_id}/

No content

Get API keys for the organization

get
/v1/{organization}/organization/api_key/

Get all API keys for the organization.

Permissions

This endpoint is impacted by the following permissions:

  • Only API keys that the authenticated user has the Organization:GetAPIKey permission for are returned.

Authorizations
AuthorizationstringRequired

The username should be set to {org_id}_{user_id}, and the password should be the Amigo issued JWT token that identifies the user.

AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
organizationstringRequired
Header parameters
x-mongo-cluster-namestring · nullableOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

Sec-WebSocket-Protocolstring[]OptionalDefault: []
Responses
200

Succeeded.

application/json
get/v1/{organization}/organization/api_key/

Create an API key

post
/v1/{organization}/organization/api_key/

Create a new API key for the given organization. This API key authorizes the organization to retrieve a per-user access token for users in this organization which allows the users to access most of Amigo's API endpoints. This API key is valid for the duration specified in the request. There's no way to extend the duration of an API key. The API key is not retrievable after issuance, so please keep it in a secure location.

Each organization has a maximum limit of 20 API keys.

Permissions

This endpoint requires the following permissions:

  • Organization:CreateAPIKey.

  • This endpoint requires the authenticated user to have more privileges than the role associated with the API key.

Authorizations
AuthorizationstringRequired

The username should be set to {org_id}_{user_id}, and the password should be the Amigo issued JWT token that identifies the user.

AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
organizationstringRequired
Header parameters
x-mongo-cluster-namestring · nullableOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

Sec-WebSocket-Protocolstring[]OptionalDefault: []
Body
namestring · min: 1 · nullableRequired

An optional name for the API key for easier identification by users.

durationstring · durationRequired

The valid duration of the API key. Should be supplied in the ISO8601 format. Must be between 1 to 90 days.

role_namestringOptional

The name of the role associated with the key. When using this API key to authenticate, it can only authenticate for users with roles that are less permissive than this role.

Default: DefaultAdministratorRole
Responses
201

Succeeded.

application/json
api_key_idstringRequired

An identifier for this API key. You must present this along with the API key to authenticate.

api_keystringRequired

The API key. This is only visible once and is not retrievable later. Please store safely.

expires_atstring · date-timeRequired

Expiration time of the API key in UTC.

post/v1/{organization}/organization/api_key/

Delete an API key

delete
/v1/{organization}/organization/api_key/{api_key_id}/

Delete the given API key from this organization.

Permissions

This endpoint requires the following permissions:

  • Organization:DeleteAPIKey.

Authorizations
AuthorizationstringRequired

The username should be set to {org_id}_{user_id}, and the password should be the Amigo issued JWT token that identifies the user.

AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
organizationstringRequired
api_key_idstringRequired

ID of the API key to delete.

Header parameters
x-mongo-cluster-namestring · nullableOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

Sec-WebSocket-Protocolstring[]OptionalDefault: []
Responses
200

Succeeded.

application/json
deleted_key_idstringRequired

ID of the successfully deleted API key.

delete/v1/{organization}/organization/api_key/{api_key_id}/

Get agent versions

get
/v1/{organization}/organization/agent/{agent_id}/version

Retrieve the versions of an agent.

Permissions

This endpoint requires the following permissions:

  • Organization:GetAgent for the agent to retrieve.

Authorizations
AuthorizationstringRequired

The username should be set to {org_id}_{user_id}, and the password should be the Amigo issued JWT token that identifies the user.

AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
agent_idstringRequired

The ID of the agent.

Pattern: ^[a-f0-9]{24}$
organizationstringRequired
Query parameters
versionstring · nullableOptional

The versions of the agent to retrieve. One can specify an exact version to retrieve, which is either the version number or latest, which retrieves the latest version. Alternatively, one can specify a range of inclusive lower and upper bound for the version number separated by -, and every version within the range would be retrieved.

Example: 1
limitinteger · max: 10Optional

The maximum number of agent versions to return.

Default: 10
continuation_tokenintegerOptional

The continuation token from the previous request used to retrieve the next page of agent version.

Default: 0
sort_bystring[]Optional

The fields to sort the versions by. Supported fields are version. Specify a + before the field name to indicate ascending sorting and - for descending sorting. Multiple fields can be specified to break ties.

Default: []
Header parameters
x-mongo-cluster-namestring · nullableOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

Sec-WebSocket-Protocolstring[]OptionalDefault: []
Responses
200

Succeeded.

application/json
has_morebooleanRequired

Whether there are more agent versions to retrieve.

continuation_tokeninteger · nullableRequired

A token to supply to the next request to retrieve the next page of agent versions. Only populated if has_more is True.

get/v1/{organization}/organization/agent/{agent_id}/version

Get service hierarchical state machine versions

get
/v1/{organization}/organization/service_hierarchical_state_machine/{service_hierarchical_state_machine_id}/version

Retrieve the versions of a state machine.

Permissions

This endpoint requires the following permissions:

  • Organization:GetServiceHierarchicalStateMachine for the state machine to retrieve.

Authorizations
AuthorizationstringRequired

The username should be set to {org_id}_{user_id}, and the password should be the Amigo issued JWT token that identifies the user.

AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
service_hierarchical_state_machine_idstringRequired

The ID of the state machine.

Pattern: ^[a-f0-9]{24}$
organizationstringRequired
Query parameters
versionstring · nullableOptional

The versions of the state machine to retrieve. One can specify an exact version to retrieve, which is either the version number or latest, which retrieves the latest version. Alternatively, one can specify a range of inclusive lower and upper bound for the version number separated by -, and every version within the range would be retrieved.

Example: 1
limitinteger · max: 10Optional

The maximum number of state machine versions to return.

Default: 10
continuation_tokenintegerOptional

The continuation token from the previous request used to retrieve the next page of state machine versions.

Default: 0
sort_bystring[]Optional

The fields to sort the versions by. Supported fields are version. Specify a + before the field name to indicate ascending sorting and - for descending sorting. Multiple fields can be specified to break ties.

Default: []
Header parameters
x-mongo-cluster-namestring · nullableOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

Sec-WebSocket-Protocolstring[]OptionalDefault: []
Responses
200

Succeeded.

application/json
has_morebooleanRequired

Whether there are more state machine versions to retrieve.

continuation_tokeninteger · nullableRequired

A token to supply to the next request to retrieve the next page of state machine versions. Only populated if has_more is True.

get/v1/{organization}/organization/service_hierarchical_state_machine/{service_hierarchical_state_machine_id}/version

Get user dimensions for the organization

get
/v1/{organization}/organization/user_dimensions/

Get the list of user dimensions for the organization.

Permissions

This endpoint requires the following permissions:

  • Organization:GetOrganizationDetails for the current organization.

Authorizations
AuthorizationstringRequired

The username should be set to {org_id}_{user_id}, and the password should be the Amigo issued JWT token that identifies the user.

AuthorizationstringRequired

Amigo issued JWT token that identifies an user. It's issued either after logging in through the frontend, or manually through the SignInWithAPIKey endpoint.

X-ORG-IDstringRequired

An optional organization identifier that indicates from which organization the token is issued. This is used in rare cases where the user to authenticate is making a request for resources in another organization.

Path parameters
organizationstringRequired
Header parameters
x-mongo-cluster-namestring · nullableOptional

The Mongo cluster name to perform this request in. This is usually not needed unless the organization does not exist yet in the Amigo organization infra config database.

Sec-WebSocket-Protocolstring[]OptionalDefault: []
Responses
200

Succeeded.

application/json
get/v1/{organization}/organization/user_dimensions/

Last updated

Was this helpful?